%if 0%{?el7}
%define dist .el7
%endif

Summary:	A Gopher Server
Name:		gofish
Version:	1.2
Release:	5%{?dist}
License:	GPLv2
Group:		System Environment/Daemons
URL:		http://gofish.sourceforge.net/
Source:		http://sourceforge.net/projects/gofish/files/gofish/1.2/%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Conflicts:	gopher, gopherd

BuildRequires:  gcc

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
GoFish is a simple gopher / web server. It is designed with security
and low resource usage in mind. GoFish uses a single process that
handles all the connections. This provides low resource usage, good
latency (no context switches), and good scalability.

GoFish runs in a chroot(2) environment. This means that GoFish can
only serve files from the root directory or below. While GoFish must
run at root privilege to be able to use port 70, it drops to a normal
user while accessing files.

%package setup
Summary:	Initial files for GoFish
Group:		System Environment/Daemons
License:	GPLv2

%description setup
This package contains the files needed to get GoFish up and running.
Only install this package the first time you install GoFish since it
overwrites files in the gopher root directory.

%prep
%setup -q -n %{name}

%build
%configure \
	--sysconfdir=%{_sysconfdir}/gofish
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# This is not installed by make install
install -d -m0755 $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install init-gofish $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/gofish
install init-gopherd $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/gopherd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README INSTALL NEWS AUTHORS ChangeLog
%{!?_licensedir:%global license %%doc}
%license COPYING

%{_sbindir}/gofish
%{_sbindir}/gopherd
%{_bindir}/mkcache
#%{_bindir}/gmap2cache
%{_bindir}/check-files
%{_sysconfdir}/rc.d/init.d/gopherd
%{_sysconfdir}/rc.d/init.d/gofish
%{_mandir}/man1/*
%{_mandir}/man5/*

%files setup
%defattr(-,root,root)
%{_sysconfdir}/gofish/gofish.conf
%{_sysconfdir}/gofish/gofish-www.conf
%{_localstatedir}/gopher/icons/*
%{_localstatedir}/gopher/.gopher+
%{_localstatedir}/gopher/.cache
%{_localstatedir}/gopher/Configure_GoFish

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.2-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1.2-4
- Rebuilt for fc23

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 1.2-3
- Rebuilt for fc22

* Tue Aug 30 2011 momo-i <webmaster@momo-i.org> 1.2-2
- Rewrite specs.

* Sun Dec  8 2002 Sean MacLennan <seanm@seanm.ca>
- Updated to 0.25
- /var/lib/gopherd -> /var/gopher
- webtest now part of make check

* Sat Nov  9 2002 Sean MacLennan <seanm@seanm.ca>
- Updated to 0.21
- Added webtest

* Sat Nov  2 2002 Sean MacLennan <seanm@seanm.ca>
- Updated to 0.20
- Added gofish-www.conf

* Sat Oct 26 2002 Sean MacLennan <seanm@seanm.ca>
- Updated to 0.19
- Added gmap2cache

* Sun Sep 22 2002 Sean MacLennan <seanm@seanm.ca>
- Updated to 0.11
- Split into two rpms

* Sat Aug 24 2002 Sean MacLennan <seanm@seanm.ca>
- Updated to 0.9
- Now using configure

* Fri Aug 16 2002 Sean MacLennan <seanm@seanm.ca>
- Updated to 0.7
- Added man pages

* Fri Aug  2 2002 Sean MacLennan <seanm@seanm.ca>
- Created spec file
